> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a system log export.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/systemlog/exports
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/systemlog/exports:
    post:
      tags:
        - System Log Exporter
      summary: Create
      description: Create a system log export.
      operationId: c1.api.systemlog.v1.ExportService.Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.systemlog.v1.ExportServiceCreateRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.systemlog.v1.ExportServiceCreateResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Create
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Export.Create(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ExportServiceCreateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.export.create();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.systemlog.v1.ExportServiceCreateRequest:
      description: >
        The ExportServiceCreateRequest message is used to create a new system
        log exporter.


        This message contains a oneof named export_to. Only a single field of
        the following list may be set at a time:
          - datasource
      properties:
        datasource:
          $ref: '#/components/schemas/c1.api.systemlog.v1.ExportToDatasource'
        displayName:
          description: The display name of the new system log exporter.
          readOnly: false
          type: string
      title: Export Service Create Request
      type: object
      x-speakeasy-name-override: ExportServiceCreateRequest
    c1.api.systemlog.v1.ExportServiceCreateResponse:
      description: The ExportServiceCreateResponse message.
      properties:
        exporter:
          $ref: '#/components/schemas/c1.api.systemlog.v1.Exporter'
      title: Export Service Create Response
      type: object
      x-speakeasy-name-override: ExportServiceCreateResponse
    c1.api.systemlog.v1.ExportToDatasource:
      description: The ExportToDatasource message.
      nullable: true
      properties:
        datasourceId:
          description: The datasourceId field.
          readOnly: false
          type: string
        format:
          description: The format field.
          enum:
            - EXPORT_FORMAT_UNSPECIFIED
            - EXPORT_FORMAT_OCSF_JSON_ZSTD
            - EXPORT_FORMAT_OCSF_JSON_GZIP
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        prefix:
          description: The prefix field.
          readOnly: false
          type: string
      title: Export To Datasource
      type: object
      x-speakeasy-name-override: ExportToDatasource
    c1.api.systemlog.v1.Exporter:
      description: >
        The Exporter message.


        This message contains a oneof named export_to. Only a single field of
        the following list may be set at a time:
          - datasource
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type: string
        datasource:
          $ref: '#/components/schemas/c1.api.systemlog.v1.ExportToDatasource'
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        exportId:
          description: The exportId field.
          readOnly: true
          type: string
        state:
          description: The state field.
          enum:
            - EXPORT_STATE_UNSPECIFIED
            - EXPORT_STATE_EXPORTING
            - EXPORT_STATE_WAITING
            - EXPORT_STATE_ERROR
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        watermarkEventId:
          description: we've synchorized this far
          readOnly: true
          type: string
      title: Exporter
      type: object
      x-speakeasy-name-override: Exporter
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````